Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366468 - [Ansible Tower] No flash message when provided bad credentials
Summary: [Ansible Tower] No flash message when provided bad credentials
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: lgalis
QA Contact: Shveta
URL:
Whiteboard: ui:tower
Depends On:
Blocks: 1368162 1388153
TreeView+ depends on / blocked
 
Reported: 2016-08-12 04:51 UTC by Pavol Kotvan
Modified: 2017-06-12 16:21 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1368162 1388153 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:21:41 UTC
Category: Bug
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 4 CFME Bot 2016-10-21 22:01:14 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/8a2e5f249f9832898184c127eadf75a48d919916

commit 8a2e5f249f9832898184c127eadf75a48d919916
Author:     Laura Galis <lgalis@redhat.com>
AuthorDate: Mon Aug 22 17:50:11 2016 -0400
Commit:     Laura Galis <lgalis@redhat.com>
CommitDate: Fri Oct 21 17:09:23 2016 -0400

    Do not allow spaces in the Configuration Management Provider's URL field
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1366468

 app/views/provider_foreman/_form.html.haml | 18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

Comment 5 CFME Bot 2016-10-22 03:36:01 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/d14fdac7e16b39ea8d87d895294d870847ee9ae7

commit d14fdac7e16b39ea8d87d895294d870847ee9ae7
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Oct 21 11:56:57 2016 -1000
Commit:     Oleg Barenboim <chessbyte@gmail.com>
CommitDate: Fri Oct 21 23:32:05 2016 -0400

    Merge pull request #10683 from lgalis/ansible_add_provider_with_invalid_credentials
    
    Ansible Tower provider url verification does not display flash error with invalid credentials or when the URL contains a space
    (cherry picked from commit ec20ea90df7c53ae6dd396529b60194887889d04)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1366468

 app/views/provider_foreman/_form.html.haml | 18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

Comment 8 Shveta 2017-03-13 05:06:02 UTC
Credential validation was not successful: {"detail": "Invalid username/password"} is displayed .
Verified in 5.8.0.4.20170307183144_745a3d9


Note You need to log in before you can comment on or make changes to this bug.